// compile g++ --static checker.cpp -o checker

#include <iostream>
#include <fstream>
#include <string>
using namespace std;

string readString(ifstream& f, int n)
{
	char c=' ';
	string s="";
    while(f.get(c))
	{
	 if(c<=32) break;
	  s=s+c;
	  n--;
	  if(n==0) break;
    }

    return s;
}

inline std::string& ltrim(std::string& s, const char* t = " \t\n\r\f\v")
{
    s.erase(0, s.find_first_not_of(t));
    return s;
}

// trim from right
inline std::string& rtrim(std::string& s, const char* t = " \t\n\r\f\v")
{
    s.erase(s.find_last_not_of(t) + 1);
    return s;
}

// trim from left & right
inline std::string& trim(std::string& s, const char* t = " \t\n\r\f\v")
{
    return ltrim(rtrim(s, t), t);
}


int main (int argc, char** argv)
{// input; correct output; contestant's output

    if (argc < 4) return 0;
    ifstream inS(argv[1]), solS(argv[2]), contS(argv[3]);
    
    if(!contS.is_open()) {cout << 0.0 << endl; return 0;}

    //string aLine1, aLine2, aLine3;// correct output strings
    //string Line1, Line2, Line3;// contestant's output

    int bufsize=1000;
    char buf[bufsize];

//--author:

	solS.getline(buf,bufsize,'\n');
   	string aLine1(buf);
    aLine1=trim(aLine1);

    solS.getline(buf,bufsize,'\n');
   	string aLine2(buf);
    aLine2=trim(aLine2);

	solS.getline(buf,bufsize,'\n');
   	string aLine3(buf);
    aLine3=trim(aLine3);

//--contestant:

    buf[0]=0;
	contS.getline(buf,bufsize,'\n');
   	string Line1(buf);
	Line1=trim(Line1);

    buf[0]=0;
	contS.getline(buf,bufsize,'\n');
   	string Line2(buf);
	Line2=trim(Line2);

    buf[0]=0;
	contS.getline(buf,bufsize,'\n');
   	string Line3(buf);
    Line3=trim(Line3);
/*
    buf[0]=0;
    contS.getline(buf,bufsize,'\n');
   	string Line4(buf);
    Line4=trim(Line4);
*/
	double r=0.0;
    if(aLine1==Line1) r += 0.30;
    if(aLine2==Line2) r += 0.30;
    if(aLine3==Line3) r += 0.40;
	if(r>1.0) r=1.0;

    cout << r << endl;

}
